Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Class ByteCodeWriter

    java.lang.Object
      org.gjt.jclasslib.io.ByteCodeWriter

public class ByteCodeWriter
extends Object

Converts a list of instructions as defined in the package `org.gjt.jclasslib.code` to code.

Version:
  $Revision: 1.5 $ $Date: 2003/08/18 07:58:12 $
Author:
  Ingo Kegel

Method Summary
`static byte[]` | `writeByteCode(List instructions)` Converts a list of instructions to code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeByteCode

    public static byte[] writeByteCode(List instructions)
                                throws IOException

  Converts a list of instructions to code.

  Parameters:
    `instructions` - the `java.util.List` with the instructions
  Returns:
    the code as an array of bytes
  Throws:
    `IOException` - if an exception occurs with the code

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD